Subject: Re: [ssm] IPv6 Multicast Throughput problems in 802.11

From: Toerless Eckert <[email-masked]>
Date: Tue, 15 Nov 2005 07:16:55 -0800

What packet size do you use ?

There's also a configuratin on access-points for how much bandwidth
multicast (aka: broadcast) can use. That's often tuned down to a very low 
default value.

I've used successfully multiple megabits across 802.11b, not sure
what your problem is...

On Tue, Nov 15, 2005 at 02:26:04AM -0000, Tiago Sousa wrote:
> Hello to all
> 
>  
> 
> I am testing the PIM-SSM daemon (both freebsd and linux) and mrd6 (another
> IPv6 multicast routing daemon) in a wireless link. 
> 
> The problem I encountered with both pim6sd daemon and mrd6 is that I'm
> sending multicast traffic at 4 Mbps and the throughput in the mobile node
> (which is very near from de access point) rounds 40 kbps.
> 
> I am using the mad-flute tool to send the multicast SSM traffic and the
> tcpdump plus trpr to analyze the data. I have also used IxChariot and the
> results are the same.
> 
>  
> 
> Anyone knows why the throughput decreases so much in the wireless link?
> (The multicast TTL is well defined, I have experimented with several
> pci/pcmcia cards and drivers and several access points configurations
> (different channels and rates (801.11b and 802.11g)). The results are remain
> always the same).
> 
>  
> 
> I would appreciate any help/hint that helps me to explain these results.
> 
>  
> 
> Thanks.
> 
>  
> 
> Tiago Sousa

_______________________________________________
ssm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ssm

---

From: "Tiago Sousa" <[email-masked]>
Date: Tue, 15 Nov 2005 15:34:31 -0000

Thanks for your reply.

I've used already several packet sizes with minimal consequences on wireless
multicast throughput. At least when compared with the strong decrease that I
am seeing in my results. The best results, as expect, happens with UDP
packet size of 1500 bytes.

My access point is a Belkin 54g (F5D7130) and, at least, through the web
page I can't see anything related with multicast or broadcast.

At this point neither do i...

Thanks.

Tiago